[Pkg-kde-commits] rev 2159 - in trunk/packages/qt-x11-free/debian: . patches

Christopher Martin chrsmrtn at costa.debian.org
Mon Nov 7 22:20:13 UTC 2005


Author: chrsmrtn
Date: 2005-11-07 22:20:12 +0000 (Mon, 07 Nov 2005)
New Revision: 2159

Added:
   trunk/packages/qt-x11-free/debian/patches/13_qt335_qlistview_crash_fix.dpatch
Modified:
   trunk/packages/qt-x11-free/debian/changelog
   trunk/packages/qt-x11-free/debian/patches/00list
Log:
Minor 3.3.6 backport, fixing a common crash.


Modified: trunk/packages/qt-x11-free/debian/changelog
===================================================================
--- trunk/packages/qt-x11-free/debian/changelog	2005-11-07 20:37:41 UTC (rev 2158)
+++ trunk/packages/qt-x11-free/debian/changelog	2005-11-07 22:20:12 UTC (rev 2159)
@@ -5,6 +5,9 @@
   * Drop qt-copy's gamma patch, now that kdelibs has incorporated a much
     cleaner fix. (Closes: #333542)
 
+  * Fix a new-for-3.3.5 QListView problem that was causing myriad random
+    crashes in KDE apps. (Closes: #338002)
+
   * Build the InterBase plugin on amd64, now that firebird2 builds there.
 
   * Move all .desktop files from /usr/share/applnk to /usr/share/applications,
@@ -12,7 +15,7 @@
     Assistant menu entry, which should now appear next to other Qt3 tools in
     the menu. (Closes: #335465)
 
- -- Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>  Wed,  2 Nov 2005 09:39:44 -0500
+ -- Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>  Date
 
 qt-x11-free (3:3.3.5-1) unstable; urgency=low
 

Modified: trunk/packages/qt-x11-free/debian/patches/00list
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/00list	2005-11-07 20:37:41 UTC (rev 2158)
+++ trunk/packages/qt-x11-free/debian/patches/00list	2005-11-07 22:20:12 UTC (rev 2159)
@@ -8,6 +8,7 @@
 10_arm_gcc4
 11_qt_rubberband
 12_disable_includehints
+13_qt335_qlistview_crash_fix
 14_fix_kmenu
 15_unify_declarations_glibc
 16_fix_opengl_check

Added: trunk/packages/qt-x11-free/debian/patches/13_qt335_qlistview_crash_fix.dpatch
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/13_qt335_qlistview_crash_fix.dpatch	2005-11-07 20:37:41 UTC (rev 2158)
+++ trunk/packages/qt-x11-free/debian/patches/13_qt335_qlistview_crash_fix.dpatch	2005-11-07 22:20:12 UTC (rev 2159)
@@ -0,0 +1,31 @@
+#! /bin/sh -e
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- qt.orig/src/widgets/qlistview.cpp
++++ qt.patched/src/widgets/qlistview.cpp
+@@ -3231,6 +3231,7 @@
+     d->focusItem = 0;
+     d->selectAnchor = 0;
+     d->pressedItem = 0;
++    d->highlighted = 0;
+ 
+     // if it's down its downness makes no sense, so undown it
+     d->buttonDown = FALSE;




More information about the pkg-kde-commits mailing list